Bug 102040 - php rpmbuild from srpm fails
php rpmbuild from srpm fails
Status: CLOSED DUPLICATE of bug 103927
Product: Red Hat Linux Beta
Classification: Retired
Component: php (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
 
Reported: 2003-08-09 09:59 EDT by Shekhar
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:58:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shekhar 2003-08-09 09:59:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
1. rpmbuild for php-4.3.2-6 as _normal user_ with '--with-pear' option fails as
with this option rpmbuild tries to create files into /usr/share which requires
root premissions
-> rpmbuild works when .spec modified as follows
  --with-pear=/usr/share/pear - > --with-pear
		
2. [most imp] rpmbuild for php-4.3.2-6 fails with foll. errors

In file included from /home/shekhar/rpm/BUILD/php-4.3.2/ext/snmp/snmp.c:84:
/usr/include/ucd-snmp/asn1.h:7:2: #error "Please update your headers or
configure using --enable-ucd-snmp-compatibility"
In file included from /home/shekhar/rpm/BUILD/php-4.3.2/ext/snmp/snmp.c:85:
/usr/include/ucd-snmp/snmp_api.h:7:2: #error "Please update your headers or
configure using --enable-ucd-snmp-compatibility"

3. rpmbuild for php-4.3.2-6 fails at build stage as it can not find file
build-apache/libs/libphp4.so.
-> The file actually resides at build-apache/.libs/libphp4.so
   It works with foll. changes

Here is the diif -uNr

--- /usr/src/redhat/SPECS/php.spec      2003-07-08 15:41:25.000000000 +0530
+++ php.spec    2003-08-09 20:51:52.000000000 +0530

@@ -395,8 +393,10 @@
 install -m 644    *.gif $RPM_BUILD_ROOT%{contentdir}/icons/

 # install the DSO
-install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/httpd/modules
-install -m 755 build-apache/libs/libphp4.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules
+#install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/httpd/modules
+#install -m 755 build-apache/libs/libphp4.so
$RPM_BUILD_ROOT%{_libdir}/httpd/modules
+install -m 755 -d $RPM_BUILD_ROOT/usr/lib/apache
+install -m 755 build-apache/.libs/libphp4.so $RPM_BUILD_ROOT/usr/lib/apache



Version-Release number of selected component (if applicable):
php-4.3.2-6

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild for php-4.3.2-6 as _normal user_ 
2.
3.
    

Actual Results:  In file included from
/home/shekhar/rpm/BUILD/php-4.3.2/ext/snmp/snmp.c:84:
/usr/include/ucd-snmp/asn1.h:7:2: #error "Please update your headers or
configure using --enable-ucd-snmp-compatibility"
................
In file included from /home/shekhar/rpm/BUILD/php-4.3.2/ext/snmp/snmp.c:85:
/usr/include/ucd-snmp/snmp_api.h:7:2: #error "Please update your headers or
configure using --enable-ucd-snmp-compatibility"
................


Additional info:
Comment 1 Shekhar 2003-08-25 06:10:58 EDT
#2 [snmp] can be resolved by modifying foll. in spec file
CFLAGS="$RPM_OPT_FLAGS -fPIC -DUCD_COMPATIBLE"; export CFLAGS
Comment 2 Joe Orton 2003-09-07 18:16:00 EDT
Installing net-snmp-utils is the other workaround.

*** This bug has been marked as a duplicate of 103927 ***
Comment 3 Red Hat Bugzilla 2006-02-21 13:58:03 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.